| <li id="
= "#{dom_id(task)}_container"
| " class="py-2 px-4 border-b border-gray-300"> 
= turbo_frame_tag dom_id(task) do
  .flex.justify-between.items-center.space-x-2
    = link_to task.name, edit_task_path(task), class: task.complete? ? 'line-through' : ''
    .flex.justify-end.space-x-3
      - if task.complete?
        = button_to change_status_task_path(task, task: { status: 'incomplete' }), class: "bg-indigo-600 px-4 py-2 rounded hover:bg-green-700", method: :patch do
          span.sr-only
            | Mark as incomplete
          svg.h-5.w-5.text-white[xmlns="http://www.w3.org/2000/svg" viewbox="0 0 20 20" fill="currentColor"]
            path[fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-9.293a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z" clip-rule="evenodd"]
      - else
        = button_to change_status_task_path(task, task: { status: 'complete' }), class: "bg-indigo-600 px-4 py-2 rounded hover:bg-green-700", method: :patch do
          span.sr-only
            | Mark as complete
          svg.h-5.w-5.text-white[xmlns="http://www.w3.org/2000/svg" viewbox="0 0 20 20" fill="currentColor"]
            path[fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-9.293a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z" clip-rule="evenodd"]
      div[data-controller="confirmation"]
        = button_to task, class: "bg-red-600 px-4 py-2 rounded hover:bg-red-700", method: :delete, data: { action: "click->confirmation#delete" } do
          span.sr-only
            | Delete
          svg.h-5.w-5.text-white[xmlns="http://www.w3.org/2000/svg" viewbox="0 0 20 20" fill="currentColor" title="Delete todo"]
            path[fill-rule="evenodd" d="M9 2a1 1 0 00-.894.553L7.382 4H4a1 1 0 000 2v10a2 2 0 002 2h8a2 2 0 002-2V6a1 1 0 100-2h-3.382l-.724-1.447A1 1 0 0011 2H9zM7 8a1 1 0 012 0v6a1 1 0 11-2 0V8zm5-1a1 1 0 00-1 1v6a1 1 0 102 0V8a1 1 0 00-1-1z" clip-rule="evenodd"]